#include<iostream>

using namespace std;

int main()
{
    long n,k,o;
    int niz[2n+1];
    for(long i=0;i<n;i++)
    {
        cin>>o;
        niz[o]++;
    }
       for(i=-n;i<=n;i++)
    {
     if(niz[i]>=k)
     {
         cout<<niz[i];
     }
    }
}